IsReference (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.condition, class: IsReference

# Class IsReference

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.taskdefs.condition.IsReference

All Implemented Interfaces:
  `Cloneable, Condition`

public class IsReference extends ProjectComponent implements Condition
Condition that tests whether a given reference has been defined.

Optionally tests whether it is of a given type/class.

Since:
  Ant 1.6

- ## Field Summary

  ### Fields inherited from class ProjectComponent

  `description, location, project`
  Modifier and Type
  Field
  Description
  `protected String`
  `description`
  Deprecated.
  since 1.6.x.
  `protected Location`
  `location`
  Deprecated.
  since 1.6.x.
  `protected Project`
  `project`
  Deprecated.
  since 1.6.x.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IsReference()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `eval()`
  Is this condition true?
  `void`
  `setRefid(Reference r)`
  Set the refid attribute.
  `void`
  `setType(String type)`
  Set the type attribute.

  ### Methods inherited from class ProjectComponent

  `clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`
  Modifier and Type
  Method
  Description
  `Object`
  `clone()`
  `String`
  `getDescription()`
  Returns the description of the current action.
  `Location`
  `getLocation()`
  Returns the file/location where this task was defined.
  `Project`
  `getProject()`
  Returns the project to which this component belongs.
  `void`
  `log(String msg)`
  Logs a message with the default (INFO) priority.
  `void`
  `log(String msg, int msgLevel)`
  Logs a message with the given priority.
  `void`
  `setDescription(String desc)`
  Sets a description of the current action.
  `void`
  `setLocation(Location location)`
  Sets the file/location where this task was defined.
  `void`
  `setProject(Project project)`
  Sets the project object of this component.

  ### Methods inherited from class Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IsReference

    public IsReference()

- ## Method Details

  - ### setRefid

    public void setRefid(Reference r)
    Set the refid attribute.
    Parameters:
      `r` - a Reference value

  - ### setType

    public void setType(String type)
    Set the type attribute. This is optional attribute.
    Parameters:
      `type` - an ant component type name

  - ### eval

    public boolean eval() throws BuildException
    Description copied from interface: `Condition`
    Is this condition true?
    Specified by:
      `eval` in interface `Condition`
    Returns:
      true if the reference exists and if type is set, if the reference is the same type
    Throws:
      `BuildException` - if an error occurs